GFS_ACL_DELETE_DEF_F(3)

NAME
gfs_acl_delete_def_file - delete a Gfarm default ACL by filename

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_delete_def_file(const char *gfarm_url);

INPUT ARGUMENTS

gfarm_url
    A path name in the Gfarm filesystem.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NOT_A_DIRECTORY
    Files do not have a default ACL.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_get_file(3), gfs_acl_set_file(3), gfs_attr(5)